Package Details: kdeplasma-applets-fancytasks 1.1.2-3

Git Clone URL: https://aur.archlinux.org/kdeplasma-applets-fancytasks.git (read-only, click to copy)
Package Base: kdeplasma-applets-fancytasks
Description: Plasmoid providing fancy visualization of tasks, launchers and jobs for those who need full power of task manager and fresh look
Upstream URL: http://www.kde-look.org/content/show.php/Fancy+Tasks?content=99737
Licenses: GPL
Conflicts: fancytasks-plasmoid
Submitter: denisfalqueto
Maintainer: denisfalqueto
Last Packager: denisfalqueto
Votes: 95
Popularity: 0.000000
First Submitted: 2012-07-16 12:29
Last Updated: 2015-06-29 20:34

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

denisfalqueto commented on 2012-06-11 01:52

Updated to 1.1.2. Thanks Emdek for the heads-up!

denisfalqueto commented on 2012-06-01 14:07

Updated to 1.1.1. Thanks Emdek for the head-up!

denisfalqueto commented on 2012-03-21 17:56

Hmm, I see. In Arch, that library is provided by kdebase-workspace, which is already a dependency for fancytasks-plasmoid. So, I think the new version is working fine. Thanks for the heads up.

Emdek commented on 2012-03-21 17:28

@denisfalqueto, that depends on distro conventions, I guess, for example in Kubuntu it is libprocesscore4abi1 package but adding it to dependencies ends up with message warning about unresolvable dependencies (the same with libtaskmanager4abi3) when trying to install package generated using CPack... :-D
To be exact, this a lib from current kde-workspace git module (kdebase-workspace back then when SVN was used), path libs/ksysguard/processcore/, it is required to link against it, but since libtaskmanager uses it too it must be always available. It uses it even for the same purpose, but that lib doesn't expose required property (command) and won't do that in future (developers are against that...). For next series (1.2) I'll hopefully finish process of dropping that lib (I'm sick of redoing internals each major KDE release, it changes API and ABI nearly each one...) and will move to use of data engine and resurrect my replacement lib from 2010 (not published yet, it was intended as proof of concept for my GSoC proposal) as they said if it will have proper unit tests etc. then it could eventually replace libtaskmanager. ;-)

denisfalqueto commented on 2012-03-21 16:37

Hi, Emdek! It's always a pleasure talking to you, as is to maintain this package :)

But I can't find the processcore package in any repositories or in AUR. Even google didn't show anything useful. namcap (a tool to help find missing dependencies in packages) also didn't show nothing. Are you sure about that dependency? (asking about that for the developer is silly, but I must do it :))

Emdek commented on 2012-03-21 10:37

@denisfalqueto, there is new dependency, processcore (Kubuntu packages can't have it as dependency, weird...).
BTW, thanks for maintaining package. :-)
And if you have feature requests / suggestions then let me know, I want to restore "former glory" (generic plans are described in comments sections of kde-apps / look and in public TODO) as this is longest developed and still active (maybe except one year of stagnation...) alternative task manager for Plasma. ;-)

denisfalqueto commented on 2012-03-02 11:15

Sometimes it's necessary to run kbuildsycoca4 (strangest name ever...). I'm not using this polasmoid anymore (icontasks ftw), but I've tested it now and it is working as expected. Hope that helps.

Anonymous comment on 2012-03-02 05:07

Thank you but, I don't see the plasmoid after installing and looking for it...

denisfalqueto commented on 2012-02-27 16:11

I've updated the package, but can't test it right now (I'm at my job). I'll test it as soon as I get home and correct it if there's a need. Thanks for the heads up!

ManU commented on 2012-01-28 20:12

updated PKGBUILD for kde 4.8:

# Contributor: marcotangaro <marco_tangaro@hotmail.com>
# Contributor: Denis Falqueto <denisfalqueto@gmail.com>

pkgname=fancytasks-plasmoid
pkgver=1.0.96
pkgrel=2
pkgdesc="Plasmoid Binary"
arch=('i686' 'x86_64')
url="http://www.kde-look.org/content/show.php/Fancy+Tasks?content=99737"
license=('GPL')
depends=('kdebase-workspace')
makedepends=('cmake' 'automoc4' 'kdebase-lib')
source=(http://www.kde-look.org/CONTENT/content-files/99737-fancytasks-${pkgver}-4.8.tar.bz2)
md5sums=('f3bf7fc8d1dbfb8cfc6d2f1a7bc56c2b')

build() {
cd "$srcdir/fancytasks-${pkgver}-4.8"
[[ -d build ]] && rm -fR build
mkdir build
cd build
cmake ../ -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix`
make
}

package() {
cd "$srcdir/fancytasks-${pkgver}-4.8/build"
make DESTDIR="$pkgdir" install
}
md5sums=('f3bf7fc8d1dbfb8cfc6d2f1a7bc56c2b')